Re-evaluates the assessment engine for a set of frameworks (or all catalog frameworks when none specified) at the current instant and persists the timestamped snapshot (deny-closed: 501 without the depth packager).
POST
/v1/m/compliance/depth/ccm/snapshot
const url = 'https://example.com/v1/m/compliance/depth/ccm/snapshot';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"frameworks":["example"],"scope_note":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/v1/m/compliance/depth/ccm/snapshot \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "frameworks": [ "example" ], "scope_note": "example" }'Re-evaluates the assessment engine for a set of frameworks (or all catalog frameworks when none specified) at the current instant and persists the timestamped snapshot (deny-closed: 501 without the depth packager).
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Header Parameters
Section titled “Header Parameters ” X-Olivares-Tenant
string format: uuid
Target tenant id; required when the principal can act in more than one tenant.
Request Body
Section titled “Request Body ” Media type application/json
object
frameworks
Array<string>
scope_note
string
Example generated
{ "frameworks": [ "example" ], "scope_note": "example"}Responses
Section titled “ Responses ”OK
Media type application/json
object
Example generated
{}Bad request
Media type application/json
object
Example generated
{}Unauthenticated
Media type application/json
object
Example generated
{}Forbidden
Media type application/json
object
Example generated
{}Not found
Media type application/json
object
Example generated
{}Conflict / setup required
Media type application/json
object
Example generated
{}Rate limited
Media type application/json
object
Example generated
{}